Spaces
Add Space Data Source
Add a data source to a Space
Add a data source to a Space
X-API-Key<token>
Use X-API-Key: .
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/spaces/string/data-sources" \ -H "Content-Type: application/json" \ -d '{ "dataSourceId": "string" }'{ "dataSource": { "id": "string", "name": "string", "type": "SQLITE" }, "createdAt": "string", "dataSourceId": "string", "grounding": "string", "id": "string", "spaceId": "string"}{ "cause": { "code": "api/invalid-json", "detail": "string" }, "message": "The request body is not valid JSON"}{ "cause": { "code": "auth/jwt-invalid", "detail": "malformed" }, "message": "Token verification failed"}{ "cause": { "code": "api/no-active-team", "detail": "You must have an active team. Please select a team to continue." }, "message": "No active team"}{ "cause": { "code": "api/unsupported-media-type", "detail": "GET requests cannot have a content type header" }, "message": "Unsupported Media Type"}